jQuery(document).ready(function(){
	jQuery('.slideshow').each(function(){
		var slideParams = jQuery(this).find('.slideshowParam').attr('data-params');
			slideParams = eval('['+slideParams+']');

		if(typeof slideParams[0] === 'undefined')
			return false;
		
		var	slideShow = slideParams[0];
		if(typeof slideShow['symplexnav'] !='undefined' && slideShow['symplexnav']){
			if(typeof slideShow['navNumber'] =='undefined')
				slideShow['navNumber'] = 4;
			initSlidebar(slideShow['navNumber']);
		}
		switch(slideShow['type']){
		case 'nivo':
			nivoInit(this,slideShow);
			break;
		case 'anything':
			anyInit(this,slideShow);
			break;
		case 'flow':
			flowInit(this,slideShow);
			break;
		}
	});
});
